package cn.com.poc.thirdparty.resource.demand.ai.entity.csvchain;

import cn.com.poc.thirdparty.resource.demand.ai.entity.dbchain.DBChainResult;
import cn.com.poc.thirdparty.resource.demand.dgTools.request.AbstractRequest;

import java.io.Serializable;

/**
 * @author alex.yao
 * @date 2025/6/10
 */
public class CSVChainResponse extends AbstractRequest<CSVChainResult> implements Serializable {

    private String question;

    private String context;

    private String filePath;


    private String apiKey;


    public String getQuestion() {
        return question;
    }

    public void setQuestion(String question) {
        this.question = question;
    }

    public String getContext() {
        return context;
    }

    public void setContext(String context) {
        this.context = context;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public String getApiKey() {
        return apiKey;
    }

    public void setApiKey(String apiKey) {
        this.apiKey = apiKey;
    }

    @Override
    public String getMethod() throws Exception {
        return null;
    }
}
